MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Variables
Registry.hxx File Reference
`#include "check.h"`
Include dependency graph for Registry.hxx:

Go to the source code of this file.

## Macros
#define | input_plugins_for_each(plugin)
#define | input_plugins_for_each_enabled(plugin)

## Variables
const struct InputPlugin *const | input_plugins []
| NULL terminated list of all input plugins which were enabled at compile time. More...
bool | input_plugins_enabled []

## Macro Definition Documentation

#define input_plugins_for_each | ( |  | plugin | ) |

Value:
for (const InputPlugin *plugin, \
*const*input_plugin_iterator = &input_plugins[0]; \
(plugin = *input_plugin_iterator) != NULL; \
++input_plugin_iterator)
input_plugins
const struct InputPlugin *const input_plugins[]
NULL terminated list of all input plugins which were enabled at compile time.
InputPlugin
Definition: InputPlugin.hxx:41

Definition at line 33 of file Registry.hxx.

#define input_plugins_for_each_enabled | ( |  | plugin | ) |

Value:
input_plugins_for_each(plugin) \
if (input_plugins_enabled[input_plugin_iterator - input_plugins])
input_plugins
const struct InputPlugin *const input_plugins[]
NULL terminated list of all input plugins which were enabled at compile time.
input_plugins_enabled
bool input_plugins_enabled[]
input_plugins_for_each
#define input_plugins_for_each(plugin)
Definition: Registry.hxx:33

Definition at line 39 of file Registry.hxx.

## Variable Documentation

const struct InputPlugin* const input_plugins[]

NULL terminated list of all input plugins which were enabled at compile time.

bool input_plugins_enabled[]